

uniform sampler2D envi;
uniform float modus;
varying vec3 normal;
varying vec3 lookie;


void main(void) {
  vec3 normalz, refdir;
  vec4 colz;

  //normalz = normal-fmod(normal, modus);
  //normalz=normal;
  //normalize(normalz);
  refdir = reflect(lookie, normal);
  refdir.z = refdir.z+1;
  normalize(refdir);
  gl_FragColor = texture2D(envi, refdir.xy*0.5+0.5);
}


